Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.logging
Class OsgiLoggerFactory

    java.lang.Object
      org.jboss.netty.logging.InternalLoggerFactory
          org.jboss.netty.logging.OsgiLoggerFactory

    public class OsgiLoggerFactory

extends InternalLoggerFactory

Logger factory which creates an OSGi `LogService` logger.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Constructor Summary
`OsgiLoggerFactory(BundleContext ctx)`
`OsgiLoggerFactory(BundleContext ctx, InternalLoggerFactory fallback)`

Method Summary
`void` | `destroy()`
`InternalLoggerFactory` | `getFallback()`
`LogService` | `getLogService()`
`InternalLogger` | `newInstance(String name)` Creates a new logger instance with the specified name.

Methods inherited from class org.jboss.netty.logging.InternalLoggerFactory
`getDefaultFactory, getInstance, getInstance, setDefaultFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsgiLoggerFactory

    public OsgiLoggerFactory(BundleContext ctx)

### OsgiLoggerFactory

    public OsgiLoggerFactory(BundleContext ctx,
                             InternalLoggerFactory fallback)

Method Detail

### getFallback

    public InternalLoggerFactory getFallback()

### getLogService

    public LogService getLogService()

### destroy

    public void destroy()

### newInstance

    public InternalLogger newInstance(String name)

  Description copied from class: `InternalLoggerFactory`
  Creates a new logger instance with the specified name.

  Specified by:
    `newInstance` in class `InternalLoggerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.